Package com.sap.ai.sdk.core.model

# Class BckndArgoCDApplicationDataRequest

java.lang.Object
com.sap.ai.sdk.core.model.BckndArgoCDApplicationDataRequest

public class BckndArgoCDApplicationDataRequest extends Object
BckndArgoCDApplicationDataRequest

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `BckndArgoCDApplicationDataRequest.Builder`
  Builder helper class.
  `static interface`
  `BckndArgoCDApplicationDataRequest.Builder1`
  Builder helper class.
  `static interface`
  `BckndArgoCDApplicationDataRequest.Builder2`
  Builder helper class.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `BckndArgoCDApplicationDataRequest()`
  Default constructor for BckndArgoCDApplicationDataRequest.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BckndArgoCDApplicationDataRequest`
  `applicationName(String applicationName)`
  Set the applicationName of this `BckndArgoCDApplicationDataRequest` instance and return the same instance.
  `static BckndArgoCDApplicationDataRequest.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `BckndArgoCDApplicationDataRequest` instance with all required arguments.
  `boolean`
  `equals(Object o)`
  `String`
  `getApplicationName()`
  ArgoCD application name in the request body
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `BckndArgoCDApplicationDataRequest`.
  `String`
  `getPath()`
  path within the repository to synchronise
  `String`
  `getRepositoryUrl()`
  URL of the repository to synchronise
  `String`
  `getRevision()`
  revision to synchronise
  `int`
  `hashCode()`
  `BckndArgoCDApplicationDataRequest`
  `path(String path)`
  Set the path of this `BckndArgoCDApplicationDataRequest` instance and return the same instance.
  `BckndArgoCDApplicationDataRequest`
  `repositoryUrl(String repositoryUrl)`
  Set the repositoryUrl of this `BckndArgoCDApplicationDataRequest` instance and return the same instance.
  `BckndArgoCDApplicationDataRequest`
  `revision(String revision)`
  Set the revision of this `BckndArgoCDApplicationDataRequest` instance and return the same instance.
  `void`
  `setApplicationName(String applicationName)`
  Set the applicationName of this `BckndArgoCDApplicationDataRequest` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `BckndArgoCDApplicationDataRequest` instance.
  `void`
  `setPath(String path)`
  Set the path of this `BckndArgoCDApplicationDataRequest` instance.
  `void`
  `setRepositoryUrl(String repositoryUrl)`
  Set the repositoryUrl of this `BckndArgoCDApplicationDataRequest` instance.
  `void`
  `setRevision(String revision)`
  Set the revision of this `BckndArgoCDApplicationDataRequest` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `BckndArgoCDApplicationDataRequest` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BckndArgoCDApplicationDataRequest

    protected BckndArgoCDApplicationDataRequest()
    Default constructor for BckndArgoCDApplicationDataRequest.

- ## Method Details

  - ### repositoryUrl

    @Nonnull public BckndArgoCDApplicationDataRequest repositoryUrl(@Nonnull String repositoryUrl)
    Set the repositoryUrl of this `BckndArgoCDApplicationDataRequest` instance and return the same instance.
    Parameters:
      `repositoryUrl` - URL of the repository to synchronise
    Returns:
      The same instance of this `BckndArgoCDApplicationDataRequest` class

  - ### getRepositoryUrl

    @Nonnull public String getRepositoryUrl()
    URL of the repository to synchronise
    Returns:
      repositoryUrl The repositoryUrl of this `BckndArgoCDApplicationDataRequest` instance.

  - ### setRepositoryUrl

    public void setRepositoryUrl(@Nonnull String repositoryUrl)
    Set the repositoryUrl of this `BckndArgoCDApplicationDataRequest` instance.
    Parameters:
      `repositoryUrl` - URL of the repository to synchronise

  - ### revision

    @Nonnull public BckndArgoCDApplicationDataRequest revision(@Nonnull String revision)
    Set the revision of this `BckndArgoCDApplicationDataRequest` instance and return the same instance.
    Parameters:
      `revision` - revision to synchronise
    Returns:
      The same instance of this `BckndArgoCDApplicationDataRequest` class

  - ### getRevision

    @Nonnull public String getRevision()
    revision to synchronise
    Returns:
      revision The revision of this `BckndArgoCDApplicationDataRequest` instance.

  - ### setRevision

    public void setRevision(@Nonnull String revision)
    Set the revision of this `BckndArgoCDApplicationDataRequest` instance.
    Parameters:
      `revision` - revision to synchronise

  - ### path

    @Nonnull public BckndArgoCDApplicationDataRequest path(@Nonnull String path)
    Set the path of this `BckndArgoCDApplicationDataRequest` instance and return the same instance.
    Parameters:
      `path` - path within the repository to synchronise
    Returns:
      The same instance of this `BckndArgoCDApplicationDataRequest` class

  - ### getPath

    @Nonnull public String getPath()
    path within the repository to synchronise
    Returns:
      path The path of this `BckndArgoCDApplicationDataRequest` instance.

  - ### setPath

    public void setPath(@Nonnull String path)
    Set the path of this `BckndArgoCDApplicationDataRequest` instance.
    Parameters:
      `path` - path within the repository to synchronise

  - ### applicationName

    @Nonnull public BckndArgoCDApplicationDataRequest applicationName(@Nullable String applicationName)
    Set the applicationName of this `BckndArgoCDApplicationDataRequest` instance and return the same instance.
    Parameters:
      `applicationName` - ArgoCD application name in the request body
    Returns:
      The same instance of this `BckndArgoCDApplicationDataRequest` class

  - ### getApplicationName

    @Nonnull public String getApplicationName()
    ArgoCD application name in the request body
    Returns:
      applicationName The applicationName of this `BckndArgoCDApplicationDataRequest` instance.

  - ### setApplicationName

    public void setApplicationName(@Nullable String applicationName)
    Set the applicationName of this `BckndArgoCDApplicationDataRequest` instance.
    Parameters:
      `applicationName` - ArgoCD application name in the request body

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `BckndArgoCDApplicationDataRequest`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `BckndArgoCDApplicationDataRequest` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `BckndArgoCDApplicationDataRequest` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `BckndArgoCDApplicationDataRequest` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static BckndArgoCDApplicationDataRequest.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `BckndArgoCDApplicationDataRequest` instance with all required arguments.